#!/usr/bin/env python
#---------------------------------------------------------------------------

import sys, os, glob
from wxPython.tools import helpviewer


doc_dir='/usr/share/doc/wxPython-doc-2.4.1.2'
args=['']
if os.environ.has_key('TMPDIR'):
    args.append('--cache=%s' % os.environ['TMPDIR'])
  

# setup the args
args = args+[os.path.join(doc_dir, 'wx.zip'),
	    os.path.join(doc_dir, 'ogl.zip'),
	    ]

# add any other .zip files found
for file in glob.glob(os.path.join(doc_dir, "*.zip")):
    if file not in args:
        args.append(file)

# launch helpviewer
helpviewer.main(args)

#---------------------------------------------------------------------------

